Subject: Re: elementary DNS facts

From: [email-masked]
Date: Wed, 04 Dec 2002 09:11:01 +1100

> [ post by non-subscriber.  with the massive amount of spam, it is easy to mis
> s
>   and therefore delete posts by non-subscribers.  your subscription address i
> s
>   [email-masked], please post from it or, if yo
> u
>   wish to regularly post from an address that is not subscribed to this
>   mailing list, send a message to [email-masked] and ask to
>   have the alternate address added to the list of addresses from which
>   submissions are automatically accepted. ]
> 
> Danny Mayer writes:
> > If you have two servers, one a master and the other the slave for a
> > specific zone and the slave uses AXFR to transfer the zone from the
> > master, can the slave ever give different answers to queries than what
> > the master would respond as a result of the received zone?
> 
> Yes, of course. Suppose the server is also a slave for a child zone from
> another master. If there's an inconsistency between the two masters,
> it's obviously impossible to simultaneously (1) match what the parent
> zone master says and (2) match what the child zone master says.
> 
> It's possible to match both for AXFR requests, as axfr-clarify demands,
> but it's simply impossible to match both for normal queries, because
> queries don't name zones. Matching is not part of the DNS protocol.

	We are talking about AXFR (IXFR) not queries other than AXFR (IXFR).
	Queries other than AXFR (IXFR) are already addressed in RFC 2181.
 
> (See my message <[email-masked]> for an analysis of
> what the protocol says about these inconsistencies.)
> 
> > If the answer is yes, something is wrong since you should get the same
> > answer no matter which authorative server you ask. That's what I meant
> > by broken.
> 
> You are fundamentally confused about how DNS works. See above.

	No Don your concept of the DNS is fundementally broken if you
	believe that you should get different results to AXFR queries
	to each of the server for the zone when the zone is in steady
	state.

	So that there is no confusion about what I mean about the same
	answer.  After removal of duplicate records, down casing
	all domainnames in the zone and sorting the resulting data
	should be the same.

	Mark

> 
> ---D. J. Bernstein, Associate Professor, Department of Mathematics,
> Statistics, and Computer Science, University of Illinois at Chicago
> 
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
--
Mark Andrews, Internet Software Consortium
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>